function myLog (obj)
{
    if ( preferences.logOrAlert.value == "alert" )
    {
        alert(obj);
    }

    if ( preferences.logOrAlert.value == "log" )
    {
        log(obj);
    }
}

function myFetchURL (url_location)
{
    var url = new URL( );
    url.location = url_location;
    var str = url.fetch();
    return str;
}

function myStripExtraWhitespace(source_string)
{
   return source_string.replace(/\s\s*/gi, " ");
}

function myStripNewlines (source_string)
{
    var res_string = null;
    if ( source_string )
    {
        if ( null == res_string )
        {
            res_string = "";
        }

        var lines = source_string.split("\n");
        var lines_size = lines.length;
        for ( var line_counter = 0; line_counter < lines_size; line_counter++ )
        {
            res_string += " " + lines[line_counter];
        }
    }
    return res_string;
}

function extractText(string, startIndex, startEnc, endEnc)
{
   var startEncIndex = string.indexOf(startEnc, startIndex);
   var startEncTail = startEncIndex + startEnc.length;
   var endEncIndex = string.indexOf(endEnc, startEncTail);
   // if ( endEncIndex < 0 ) myLog("string is [" + string.substring(startEncTail, startEncTail + 20) + "]");
   return string.substring(startEncTail, endEncIndex);
}

function extractTextAndFilter(string, startIndex, startEnc, endEnc, filter)
{
    var startEncIndex = string.indexOf(startEnc, startIndex);
    var startEncTail = startEncIndex + startEnc.length;
    var endEncIndex = string.indexOf(endEnc, startEncTail);
    var filterIndex = string.indexOf(filter, startEncTail);
    var filterTail = filterIndex + filter.length;
    return string.substring(startEncTail, filterIndex)
        + string.substring(filterTail, endEncIndex);
}
