
include("Resources/js/myUtils.js");
include("Resources/js/myMediaUtils.js");
include("Resources/js/my_prayer_times_calculator.js");
// include("Resources/js/prayerTimes.js");
include("Resources/js/CNN_Weather.js");
include("Resources/js/astro.js");
include("Resources/js/calender_converter.js");

var ticker = 0;
var weather;
var prayer_times;
var athan_delays = [];

athan_delays[FAJR] = preferences.delayFajrAthanBy.value;
athan_delays[ZUHR] = preferences.delayDhuhrAthanBy.value;
athan_delays[ASR] = preferences.delayAsrAthanBy.value;
athan_delays[MAGHRIB] = preferences.delayMaghribAthanBy.value;
athan_delays[ISHA] = preferences.delayIshaAthanBy.value;

var specific_times = [];

specific_times[FAJR] = preferences.specificFajrAthanTime.value;
specific_times[ZUHR] = preferences.specificDhuhrAthanTime.value;
specific_times[ASR] = preferences.specificAsrAthanTime.value;
specific_times[MAGHRIB] = preferences.specificMaghribAthanTime.value;
specific_times[ISHA] = preferences.specificIshaAthanTime.value;

if ( preferences.specificFajrTitle.value ) title_display_array[0] = preferences.specificFajrTitle.value;
if ( preferences.specificShuruqTitle.value ) title_display_array[1] = preferences.specificShuruqTitle.value;
if ( preferences.specificZuhrTitle.value ) title_display_array[2] = preferences.specificZuhrTitle.value;
if ( preferences.specificAsrTitle.value ) title_display_array[3] = preferences.specificAsrTitle.value;
if ( preferences.specificAsrHTitle.value ) title_display_array[4] = preferences.specificAsrHTitle.value;
if ( preferences.specificMaghribTitle.value ) title_display_array[5] = preferences.specificMaghribTitle.value;
if ( preferences.specificIshaTitle.value ) title_display_array[6] = preferences.specificIshaTitle.value;


/////////////////////////////////////////////////////////////////////

// var year,day,c;
// var Ncity=4;
// var Trans,RA,Decl;
//
// var tbl, Hjrm;
// var lst = new Array();
// var param = new Array();
// var longtud,latud;
// var ys,ms,ds,Dy;
// var timmon,timsun,dif;
// var SRise,STransit,SSetting,RA2,Decl2;
// var Rise,Transit,Setting;
//
// var longtud=45;
// var latud=25;
//
// for(i=0;i<12;i++) lst[i]=0;
//
// param[0]=0.016388;  /* 59seconds, safety time */
// param[1]=longtud*DToR;  /* Longitude in radians */
// param[2]=latud*DToR;  /* Latitude in radians */
// param[3]=300.0;
// param[4]=300.0;
// param[5]=3;     /* Time Zone difference from GMT S.A. +3*/
// param[6]=19*DToR; /* Fajer Angle */
// param[7]=0; /* Isha Angle  */
// param[8]=1;    /* Aser=1,2  OmAlrqah Aser=1*/
// param[9]=45*DToR;   /* Reference Angle suggested by Rabita */
// param[10]=1.5;  /* Isha fixed time from sunset */
// param[11]=4.2*DToR; /* Eid Prayer Time   */
// OmAlQrahr(yg0,mg0,dg0,param,lst);

/////////////////////////////////////////////////////////////////////

var transparent = preferences.transparentBackground.value == "yes";
var displayWeatherPref = preferences.showWeather.value == "yes";
var displayWeather = displayWeatherPref;
var athan = preferences.playAthan.value == "yes";

var border = parseInt(preferences.widgetBorder.value);
var mainWeatherImage = new Image();
var heading = new Text();
mainWeatherImage.height = 25;
main_window.width = parseInt(preferences.widgetWidth.value);

var usable_width = main_window.width - ( border * 2 );

var lineArray = new Array();
for ( var c = 0; c < 11; c++ )
{
    var line_img = new Image();
    line_img.src = "Resources/Images/line.png";
    line_img.alignment = "center";
    line_img.width = usable_width;
    line_img.hOffset = ( main_window.width / 2 );
    line_img.vOffset = mainWeatherImage.height + ( c * 26 ) + border + 2;
    lineArray[c] = line_img;
}

stopButton.vOffset = lineArray[10].vOffset + 5;
stopButton.hOffset = border;
stopButton.alignment = "left";
stopButton.zOrder = athanPlayerBg.zOrder + 1;

athanPlayerBg.vOffset = stopButton.vOffset;
athanPlayerBg.hOffset = border;
athanPlayerBg.width = usable_width;
athanPlayerBg.alignment = "left";
athanPlayerBg.height = stopButton.height;
athanPlayerBg.bgColor = preferences.athanPlayerBgColor.value;
athanPlayerBg.color = preferences.athanPlayerTextColor.value;
athanPlayerBg.font = preferences.athanPlayerBgFontName.value;
athanPlayerBg.size = preferences.athanPlayerBgFontSize.value;

var prayerTitleArray = new Array();
var prayerTimeArray = new Array();

for ( var c = 0; c < 10; c++ )
{
    var prayer_title = new Text();
    prayer_title.font = "Verdana, Geneva, Arial, Helvetica, sans-serif"
    prayer_title.color = "#719F32";
    prayer_title.size = 10;
    prayer_title.alignment = "right";
    prayer_title.zOrder = 10;
    prayer_title.hOffset = ( main_window.width / 2 );
    // for everything after Asr, shift up by one so that we only show one if asked to
    var correction = ( preferences.asrToShow.value != "B"
                       ? ( c > 6 ? -1 : 0 )
                       : 0 );
    prayer_title.vOffset = lineArray[c + 1 + correction].vOffset - 5;
    prayerTitleArray[c] = prayer_title;

    var prayer_time = new Text();
    prayer_time.font = "Verdana, Geneva, Arial, Helvetica, sans-serif"
    prayer_time.color = "#384F19";
    prayer_time.size = 10;
    prayer_time.alignment = "left";
    prayer_time.zOrder = 10;
    prayer_time.hOffset = ( main_window.width / 2 ) + 5;
    prayer_time.vOffset = prayer_title.vOffset;
    prayerTimeArray[c] = prayer_time;
}

mainWeatherImage.zOrder = 15;
mainWeatherImage.hOffset = ( main_window.width / 2 ) - 35;
mainWeatherImage.alignment = "right";
mainWeatherImage.vOffset = lineArray[0].vOffset - 2;
mainWeatherImage.vAlign = "bottom";
mainWeatherImage.opacity = 0;
mainWeatherImage.onMouseUp = "togglePrayerAndWeather()";

var weatherDetailItems = new Array();
for ( var c = 0; c < 5; c++ )
{
    var weatherDetailItem = new Array();

    var weatherDetailItemText = new TextArea();
    weatherDetailItemText.zOrder = 15;
    weatherDetailItemText.height = 50;
    weatherDetailItemText.scrollbar = false;
    weatherDetailItemText.data = "not populated";
    weatherDetailItemText.editable = false;
    weatherDetailItemText.opacity = 0;

    var weatherDetailItemImage = new Image();
    weatherDetailItemImage.zOrder = 15;
    weatherDetailItemImage.opacity = 0;

    weatherDetailItem[TEXT] = weatherDetailItemText;
    weatherDetailItem[IMAGE] = weatherDetailItemImage;

    weatherDetailItems[c] = weatherDetailItem;
}

function highlightPrayer()
{
   if ( prayer_times )
   {
      var current_time = new Date();
      var hours = current_time.getHours();
      var ampm = hours < 12 ? "AM" : "PM" ;
      hours = ( hours > 12 ? hours - 12 : hours );
      var minutes = current_time.getMinutes();
      var current_time_str = "" + ( hours < 10 ? "0" : "" ) + hours
         + ":" + ( minutes < 10 ? "0" : "" ) + minutes
         + " " + ampm;
      // update the time
      prayerTimeArray[1].data = current_time_str;

      var current_prayer = currentPrayer(prayer_times, athan_delays, specific_times);
      if ( current_prayer )
      {
         for ( var c = 0; c < title_array.length; c++ )
         {
            if ( current_prayer["NAME"] == title_array[c]
                 && ! ( ( title_array[c] == ASR && preferences.asrToShow.value == "H" )
                        || ( title_array[c] == ASRH && preferences.asrToShow.value == "S" ) ) )
            {
               prayerTimeArray[c+3].style = "bold";
               prayerTimeArray[c+3].size = parseInt(preferences.valueFontSize.value) + 3;
               prayerTitleArray[c+3].style = "bold";
               prayerTitleArray[c+3].size = parseInt(preferences.labelFontSize.value) + 3;
               if ( athan )
               {
                  // Start appropriate Athan if time just
                  if ( current_prayer["JUST_HAPPENED"] )
                     showAthanPlayer(current_prayer, title_display_array[c], current_time_str);
               }
            }
            else
            {
               prayerTimeArray[c+3].style = "";
               prayerTimeArray[c+3].size = parseInt(preferences.valueFontSize.value);
               prayerTitleArray[c+3].style = "";
               prayerTitleArray[c+3].size = parseInt(preferences.labelFontSize.value);
            }

         }
      }
      else
         myLog("could not identify current prayer");
   }
   else
      myLog("no prayer times");
}

function buildPrayerTimeGUI()
{
   
   myLog("starting prayer times build");

   prayer_times = my_getPrayerTimes(new Date(),
                                    preferences.latitude.value,
                                    preferences.longitude.value,
                                    parseInt(preferences.timezone.value),
                                    preferences.twilightAngle.value);

   myLog("got prayer times");

   var tempString = "";
   if ( displayWeather ) tempString = weather[TEMPERATUREF] + weather[TEMPERATUREC];

   var currentDate = new Date();

   var prayerTitleValueArray = new Array( tempString,
                                          Weekdays[currentDate.getDay()],
                                          Months[currentDate.getMonth()]
                                          + " " + currentDate.getDate() + ", "
                                          + " " + currentDate.getFullYear(),
                                          title_display_array[0],
                                          title_display_array[1],
                                          title_display_array[2],
                                          title_display_array[3],
                                          title_display_array[4],
                                          title_display_array[5],
                                          title_display_array[6] );

   var jd = gregorian_to_jd(currentDate.getFullYear(), currentDate.getMonth() + 1, currentDate.getDate());
   var id = jd_to_islamic(jd);

   var condString = "";
   if ( displayWeather ) condString = weather[CONDITION];
   var prayerTimeValueArray = new Array( condString,
                                         "Hello",
                                         id[2] + " " +  ISLAMIC_MONTHS[id[1]] + " " + id[0],
                                         prayer_times[FAJR],
                                         prayer_times[SUNRISE],
                                         prayer_times[ZUHR],
                                         prayer_times[ASR],
                                         prayer_times[ASRH],
                                         prayer_times[MAGHRIB],
                                         prayer_times[ISHA] );

   prayerTimesBg.opacity = 0;
   prayerTimesBg.bgColor = preferences.prayerBgColor.value;
   prayerTimesBg.width = main_window.width;
   prayerTimesBg.vOffset = 0;
   prayerTimesBg.hOffset = 0;

   myLog("set prayer times bg color");

   heading.data = preferences.widgetHeading.value;
   heading.color = preferences.headingTextColor.value;
   heading.font = preferences.headingFontName.value;
   heading.size = parseInt(preferences.headingFontSize.value);
   heading.hOffset = mainWeatherImage.hOffset + 10;
   heading.vOffset = lineArray[0].vOffset - 2;
   heading.style = "bold";
   // heading.vAlign = "bottom";

   // myLog("set heading");

   for ( var i = 0; i <= 9; i++ )
   {
      prayerTimeArray[i].opacity = 0;
      prayerTimeArray[i].color = preferences.prayerTimeColor.value;
      prayerTimeArray[i].data = prayerTimeValueArray[i];
      prayerTimeArray[i].font = preferences.valueFontName.value;
      prayerTimeArray[i].size = parseInt(preferences.valueFontSize.value);

      prayerTitleArray[i].opacity = 0;
      prayerTitleArray[i].color = preferences.prayerTitleColor.value;
      prayerTitleArray[i].data = ( prayerTitleValueArray[i] == "" ? "" : prayerTitleValueArray[i] + " :" );
      prayerTitleArray[i].font = preferences.labelFontName.value;
      prayerTitleArray[i].size = parseInt(preferences.labelFontSize.value);
   }

   prayerTimesBg.height = stopButton.vOffset + stopButton.height + border;
   main_window.height = prayerTimesBg.height;

   myLog("finished building prayer details");
}

function showPrayerTimes()
{
   if ( displayWeather )
   {
      mainWeatherImage.opacity = 255;
      heading.hOffset = mainWeatherImage.hOffset + 10;
      heading.vOffset = lineArray[0].vOffset - 2;
      heading.alignment = "left";
   }
   else
   {
      mainWeatherImage.opacity = 0;
      heading.alignment = "center";
      heading.hOffset = ( main_window.width / 2 );
      heading.vOffset = ( lineArray[1].vOffset - 2 );
   }

   for (var c = 0; c <= 9; c++)
   {
      lineArray[c].opacity = 0;

      // for everything after Asr, shift up by one so that we only show one
      var correction = ( preferences.asrToShow.value != "B"
                         ? ( c > 6 ? -1 : 0 )
                         : 0 );

      if ( ( c == 6 && preferences.asrToShow.value == "H" )
         || ( c == 7 && preferences.asrToShow.value == "S" ) )
      {
         // don't show
      }
      else
      {
         prayerTimeArray[c].opacity = 255;
         prayerTitleArray[c].opacity = 255;
      }
   }

   lineArray[10].opacity = 0;

   if ( transparent )
      prayerTimesBg.opacity = 0;
   else
   {
      prayerTimesBg.bgOpacity = 200;
      prayerTimesBg.opacity = 255;
   }

   highlightPrayer();

   // myLog("finished showing prayer details");
}

function hidePrayerTimes()
{
    mainWeatherImage.opacity = 255;

    for ( var c = 0; c <= 9; c++ )
    {
        lineArray[c].opacity = 0;
        prayerTimeArray[c].opacity = 0;
        prayerTitleArray[c].opacity = 0;
    }

    lineArray[10].opacity = 0;
    prayerTimesBg.opacity = 0;

    // myLog("finished hiding prayer details");
}

function buildWeatherGUI()
{
   if ( displayWeatherPref )
   {
      weather = getWeather(preferences.weatherUrl.value);

      // if e.g. no connectivity, or CNN's weather page format has changed ...
      if ( ! weather[MAIN_IMAGE] )
      {
         weather = new Array();
         weather[FOUND_WEATHER] = false;
         displayWeather = false;
      }

   }
   else
   {
      weather = new Array();
      weather[FOUND_WEATHER] = false;
      displayWeather = false;
   }

   if ( weather[FOUND_WEATHER] )
   {
      mainWeatherImage.src = weather[MAIN_IMAGE];
      mainWeatherImage.width = ( mainWeatherImage.height * mainWeatherImage.srcWidth / mainWeatherImage.srcHeight );
      // mainWeatherImage.colorize = preferences.headingTextColor.value;

      weatherDetailBg.bgColor = preferences.weatherBgColor.value;
      weatherDetailBg.bgOpacity = 0;
      weatherDetailBg.opacity = 0;
      weatherDetailBg.width = main_window.width;
      weatherDetailBg.height = stopButton.vOffset + stopButton.height + border;

      main_window.height = weatherDetailBg.height;

      weatherDetailBg.vOffset = 0;
      weatherDetailBg.hOffset = 0;
      weatherDetailBg.vAlign = "top";

      for ( var c = 0; c < 5; c++ )
      {
         weatherDetailItems[c][TEXT].opacity = 0;
         weatherDetailItems[c][TEXT].width = weatherDetailBg.width;
         weatherDetailItems[c][TEXT].color = preferences.weatherTextColor.value;
         weatherDetailItems[c][TEXT].font = preferences.weatherFontName.value;
         weatherDetailItems[c][TEXT].size = preferences.weatherFontSize.value;
         // weatherDetailItems[c][TEXT].style = "bold";
         weatherDetailItems[c][TEXT].data = removeDegree(weather[weather_title_array[c]]);
         // myLog("weatherDetailItems[" + c + "].data is [" + weatherDetailItems[c][TEXT].data + "]");

         weatherDetailItems[c][IMAGE].opacity = 0;
         weatherDetailItems[c][IMAGE].src = weather[weather_title_array[c+5]];
         // myLog("weatherDetailItems[" + c + "].src is [" + weatherDetailItems[c][IMAGE].src + "]");
      }

   }
   myLog("finished building weather details");
}

function showWeather()
{
    for ( var c = 0; c < 5; c++ )
    {
        weatherDetailItems[c][TEXT].opacity = 255;
        weatherDetailItems[c][TEXT].color = preferences.weatherTextColor.value;
        weatherDetailItems[c][TEXT].hOffset = border;
        weatherDetailItems[c][TEXT].vOffset = lineArray[0].vOffset + ( c * weatherDetailItems[c][TEXT].height ) + border;
        weatherDetailItems[c][IMAGE].opacity = 255;
        weatherDetailItems[c][IMAGE].alignment = "right";
        weatherDetailItems[c][IMAGE].hOffset = usable_width + border;
        weatherDetailItems[c][IMAGE].vOffset = weatherDetailItems[c][TEXT].vOffset;
    }

    weatherDetailBg.opacity = 255;

    if ( transparent )
        weatherDetailBg.bgOpacity = 0;
    else
        weatherDetailBg.bgOpacity = 200;

    // myLog("finished showing weather details");
}

function hideWeather()
{
    for ( var c = 0; c < 5; c++ )
    {
        weatherDetailItems[c][TEXT].opacity = 0;
        weatherDetailItems[c][IMAGE].opacity = 0;
    }

    weatherDetailBg.opacity = 0;

    // myLog("finished hiding weather details");
}

function updateData()
{
   suppressUpdates();

   // reset logic for displaying weather
   displayWeather = displayWeatherPref;

   buildWeatherGUI();

   buildPrayerTimeGUI();

   showPrayerTimes();

   resumeUpdates();

   // showAthanPlayer(currentPrayer(prayer_times), "testing");

   // focusWidget();

   myLog("finished updateData");
}

function ItemSelect (Yposition)
{
    sel_end.vOffset = Yposition;
    sel_end.zOrder = 3;
    sel_end.opacity = 255;

    itemSelect.zOrder = 2;

    itemSelect.opacity = 255;
    itemSelect.zOrder = 3;
    itemSelect.vOffset = Yposition;
}

function ItemDeSelect () {

    itemSelect.opacity = 0;
    sel_end.opacity = 0;
}

function handleHotKey()
{
    if ( main_window.visible )
        main_window.visible = 0;
    else
    {
        main_window.visible = 1;
        focusWidget();
    }
}

function togglePrayerAndWeather()
{
    if ( weatherDetailBg.opacity > 0 )
    {
        hideWeather();
        showPrayerTimes();
    }
    else
    {
        hidePrayerTimes();
        showWeather();
    }

}

function handleKeyboard()
{
    var key = system.event.key;
    if ( main_window.visible )
    {
        var mods = system.event.modifiers;

        if ( key.charCodeAt(0) == "w".charCodeAt(0) ) togglePrayerAndWeather();

        if ( key.charCodeAt(0) == "p".charCodeAt(0) ) showWidgetPreferences();
    }
}

function handleSleepTimer()
{
    sleepTimer.ticking = false;
    refreshTimer.ticking = true;
}

function handleTimer()
{
    ticker++;
    highlightPrayer();
    if ( (ticker / 2) >= preferences.inter.value )
    {
        ticker = 0;
        updateData();
    }
}

function showAthanPlayer(current_prayer_value, current_prayer_title, current_time_str)
{
    var fn = preferences.otherFile.value;

    if ( current_prayer_value["NAME"] == FAJR ) fn = preferences.fajrFile.value;

    if ( current_prayer_value["NAME"] != SUNRISE )
    {
        myPlay(fn);

        // myLog("Played athan file");

        refreshTimer.ticking = false;

        stopButton.opacity = 255;

       var current_time = new Date();
       var current_hours
       athanPlayerBg.data = ""
          + "      Playing " + current_prayer_title
          + ( current_time_str ?
              " at " + current_time_str
              : "" );

        if ( transparent )
            athanPlayerBg.bgOpacity = 0;
        else
            athanPlayerBg.bgOpacity = 200;

        athanPlayerBg.opacity = 255;

        sleepTimer.ticking = true;
    }
}

function hideAthanPlayer()
{
    myStop();
    stopButton.opacity = 0;
    athanPlayerBg.opacity = 0;
}

updateData();
highlightPrayer();

